ResourceControllerStoreBuiltInResource Method |
PUT /Resource/BuiltInResource/
Stores the contents of the specified built-in resource.
Namespace:
Dundas.BI.WebApi.Controllers
Assembly:
Dundas.BI.WebApi (in Dundas.BI.WebApi.dll) Version: 2.0.0.0 (10.0.0.1002)
Syntax[HttpPutAttribute]
[ActionNameAttribute("BuiltInResource")]
public IActionResult StoreBuiltInResource(
[FromBodyAttribute] StoreBuiltInResourceOptions options,
Guid? sessionId = null
)<HttpPutAttribute>
<ActionNameAttribute("BuiltInResource")>
Public Function StoreBuiltInResource (
<FromBodyAttribute> options As StoreBuiltInResourceOptions,
Optional sessionId As Guid? = Nothing
) As IActionResultpublic:
[HttpPutAttribute]
[ActionNameAttribute(L"BuiltInResource")]
IActionResult^ StoreBuiltInResource(
[FromBodyAttribute] StoreBuiltInResourceOptions^ options,
Nullable<Guid> sessionId = nullptr
)
[<HttpPutAttribute>]
[<ActionNameAttribute("BuiltInResource")>]
member StoreBuiltInResource :
[<FromBodyAttribute>] options : StoreBuiltInResourceOptions *
?sessionId : Nullable<Guid>
(* Defaults:
let _sessionId = defaultArg sessionId null
*)
-> IActionResult
Parameters
- options
- Type: Dundas.BI.WebApi.ModelsStoreBuiltInResourceOptions
The options to use when updating the resource. - sessionId (Optional)
- Type: SystemNullableGuid
The ID of the session.
Return Value
Type:
IActionResult
A
BuiltInResourceInfoData with the result, or a status code indicating the problem.
See Also